Loading...
Searching...
No Matches
XrdPoll.cc File Reference
`#include <unistd.h>`
`#include <cstdio>`
`#include <cstdlib>`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysFD.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
`#include "Xrd/XrdLink.hh"`
`#include "Xrd/XrdProtocol.hh"`
`#include "Xrd/XrdTrace.hh"`
`#include "Xrd/XrdPollPoll.hh"`
`#include "Xrd/XrdPollInfo.hh"`
`#include "Xrd/XrdPollPoll.icc"`
Include dependency graph for XrdPoll.cc:

Go to the source code of this file.

## Classes

class | XrdPoll_End
struct | XrdPollArg

## Namespaces

namespace | XrdGlobal

## Macros

#define | TRACE_IDENT pInfo.Link.ID

## Functions

int | XrdPoll__Attach (XrdLink *lp)
void * | XrdStartPolling (void *parg)

## Macro Definition Documentation

## TRACE_IDENT

#define TRACE_IDENT pInfo.Link.ID

Definition at line 41 of file XrdPoll.cc.

## Function Documentation

## XrdPoll__Attach()

int XrdPoll__Attach | ( | XrdLink * | lp | ) |

Definition at line 142 of file XrdPoll.cc.

{return lp->Activate();}
XrdLink::Activate
bool Activate()
Definition XrdLink.cc:131

References XrdLink::Activate().

Here is the call graph for this function:

## XrdStartPolling()

void * XrdStartPolling | ( | void * | parg | ) |

Definition at line 107 of file XrdPoll.cc.

{
struct XrdPollArg *PArg = (struct XrdPollArg *)parg;
PArg->Poller->Start(&(PArg->PollSync), PArg->retcode);
return (void *)0;
}
XrdPoll::Start
virtual void Start(XrdSysSemaphore *syncp, int &rc)=0
XrdPollArg
Definition XrdPoll.cc:98
XrdPollArg::Poller
XrdPoll * Poller
Definition XrdPoll.cc:98
XrdPollArg::retcode
int retcode
Definition XrdPoll.cc:99
XrdPollArg::PollSync
XrdSysSemaphore PollSync
Definition XrdPoll.cc:100

References XrdPollArg::Poller, XrdPollArg::PollSync, XrdPollArg::retcode, and XrdPoll::Start().

Referenced by XrdPoll::Setup().

Here is the call graph for this function:
Here is the caller graph for this function: